Create Agent Promo Campaign

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/homespotter/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "HomeSpotter MCP server": {
    "url": "https://apidocs.lwolf.com/doc/homespotter/mcp"
  }
}

Close
GET /dashboard/integration/promo_campaign/{partner_short_code}

Create a social media ad campaign to promote an agent's services

Path parameters

  • partner_short_code string Required

    Partner identifier assigned by Boost

Query parameters

  • first_name string Required

    First name of the agent

  • last_name string Required

    Last name of the agent

  • email string(email) Required

    Email address of the agent

  • phone string

    Phone number of the agent

  • agent_img string(uri)

    URL to agent's photo for the ad

  • facebook_page_id string

    Facebook page ID (must be in HomeSpotter Business Manager)

  • headline string

    URL-encoded ad headline

  • title string

    URL-encoded ad title

  • description string

    URL-encoded ad description

  • broker_name string

    URL-encoded brokerage name

  • landing_page_url string(uri)

    URL for ad landing page

  • token string Required

    JWT authentication token

Responses

  • 200 text/html

    Successfully created agent promo campaign

  • 400

    Bad request - missing or invalid parameters

  • 401

    Unauthorized - invalid or expired token

  • 403

    Forbidden - insufficient permissions

GET /dashboard/integration/promo_campaign/{partner_short_code}
curl \
 --request GET 'https://boost.homespotter.com/dashboard/integration/promo_campaign/{partner_short_code}?first_name=string&last_name=string&email=hello%40example.com&token=string&token=api_token_value'